Subject: [bug#72439] [PATCH] doc: Setting Up the Daemon: Add paragraphs whom this section is for.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Fri, 16 Aug 2024 20:42:49 +0200

Hi Ludo.  Ohh sorry, I pushed this already when it had one review and a
week was over.

Ludovic Courtès <[email-masked]> writes:
> Florian Pelz <[email-masked]> skribis:
>
>> * doc/guix.texi (Setting Up the Daemon): Specify intended audience.
>>
>> Change-Id: I784c5f720aa87bddb6455e42181a1e9de5d7ec9a
>
> Good idea.
>
>> +During the installation, the @dfn{build daemon} that must be running
>
> s/the// (I think?)

IMHO a definite article is warranted, because the installation was
described in the previous section.

>> +However, some of us have reason to replace outdated daemon versions,
>> +tweak it, perform builds on other machines (@pxref{Daemon Offload
>> +Setup}) or start it manually in special environments like Chroots
>
> I’d add a comma before “or”,

An Oxford comma is often used and sometimes not in the manual.

Such as

> 22.6 Alternative Setups
> =======================
> 
> Alternative setups than Emacs may let you work on Guix with a similar
> development experience and they might work better with the tools you
> currently use or help you make the transition to Emacs.

or

> 22.8.6 Cyclic Module Dependencies
> ---------------------------------
> […]
>    Care would need to be taken to ensure the above procedure is only
> ever used in a package delayed fields or within another procedure also
> not called at the top level.

We could enforce one unified style, it just is less natural to me.

> and s/Chroots/``chroots''/
>
> Otherwise LGTM, thanks!
>
> Ludo’.

Yes, I will prepare a follow-up patch for chroots.

Regards,
Florian